Subject: Re: linux-next: build failure after merge of the driver-core tree

From: Greg KH <[email-masked]>
Date: Wed, 18 Sep 2019 20:52:57 +0200

On Wed, Sep 18, 2019 at 06:09:52PM +0100, Mark Brown wrote:
> Hi all,
> 
> After merging the driver-core tree, today's linux-next build
> for arm64 allmodconfig failed like this:
> 
> /home/broonie/next/next/drivers/i2c/i2c-core-acpi.c: In function 'i2c_acpi_find_adapter_by_handle':
> /home/broonie/next/next/drivers/i2c/i2c-core-acpi.c:352:10: error: 'i2c_acpi_find_match_adapter' undeclared (first use in this function); did you mean 'i2c_acpi_find_bus_speed'?
>           i2c_acpi_find_match_adapter);
>           ^~~~~~~~~~~~~~~~~~~~~~~~~~~
>           i2c_acpi_find_bus_speed
> /home/broonie/next/next/drivers/i2c/i2c-core-acpi.c:352:10: note: each undeclared identifier is reported only once for each function it appears in
> 
> Caused by commit
> 
>   644bf600889554210 ("i2c: Revert incorrect conversion to use generic helper")
> 
> In yesterday's -next that function existed but it appears to have been
> removed in Linus' tree as part of the merge:
> 
>   4feaab05dc1eda3 ("Merge tag 'leds-for-5.4-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/j.anaszewski/linux-leds")
> 
> by the commit
> 
>   00500147cbd3fc5 ("drivers: Introduce device lookup variants by ACPI_COMPANION device")
> 
> (ie, the commit that the failing commit was trying to revert.)  I
> suspect this is confusion caused by things going into Linus' tree in
> different orders.  I've fixed this up by re-adding the function.

Wait, I thought Linus said this fixup was now resolved.  What went
wrong?

Linus, should I submit a fix for this?

thanks,

greg k-h